Skip to main content
PUT
/
v1
/
projects
/
{id}
Update project by ID
curl --request PUT \
  --url https://api.nomi.tools/v1/projects/{id} \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "projectCategoryId": "<string>",
  "name": "<string>",
  "notes": "<string>",
  "hasPlan": true,
  "planIncome": 123,
  "planOutcome": 123
}
'
{
  "id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use HTTP Basic Authentication. Provide your email as login and PPT token as the password.

Headers

Accept
enum<string>
default:application/json
required
Available options:
application/json

Path Parameters

id
string
required

Body

application/json
projectCategoryId
string | null

Identifier for the project category.

name
string

Name of the project.

notes
string | null

Additional notes about the project.

hasPlan
boolean

Indicates if the project has a plan.

planIncome
number<float> | null

Planned income for the project.

planOutcome
number<float> | null

Planned outcome for the project.

Response

Project updated successfully

id
string